API Reference
Reference for the API
List all account invitations
cURL
curl --request GET \ --url https://cookiechimp.com/api/v1/account-invitations \ --header 'Authorization: <api-key>'
{ "pagination": { "prev_url": "/api/v1/account-invitations?page=", "next_url": "/api/v1/account-invitations?page=2", "count": 4, "page": 1, "prev": null, "next": 2 }, "data": [ { "id": "inv123", "email": "[email protected]", "role": "member", "invited_by_type": "API", "created_at": "2023-01-25T09:30:20Z", "updated_at": "2023-01-25T09:30:20Z" } ] }
Number of resources to return
1 <= x <= 100
Number of resources to skip
x >= 0
Field to sort by
Sort order
asc
desc
List of account invitations
Show child attributes
Path to get previous page
Path to get next page
Total number of pages
Current page
Previous page number
Next page number
{ "prev_url": "/api/v1/account-invitations?page=", "next_url": "/api/v1/account-invitations?page=2", "count": 4, "page": 1, "prev": null, "next": 2}
Name of the user the invitation is for
Email address of the user Email address of the user
Role of the user when they accept the invitation
admin
member
Type of entity that created the invitation (account_user or API)
ID of the user who created the invitation
Date and time when the invitation was created
Date and time when the invitation was last updated
Date and time when the invitation was cancelled
Was this page helpful?